<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Cement Mixer:
	Added Gasoline as fuel to the cement mixer.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<configs>
<append xpath="/blocks/block[@name='cementMixer']/property[@class='Workstation']">
	<property name="Modules" value="output,fuel"/>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Wet Reinforced Concrete Block:
	Renamed pouredRConcreteBlock to "Wet Reinforced Concrete Block" so it would display correctly on the
	menu of craftable items (because it is now a resource).
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<remove xpath="/blocks/block[@name='pouredRConcreteBlock']"/>
<insertAfter xpath="/blocks/block[@name='pouredConcreteArrowSlitHalf']" >
	<block name="Wet Reinforced Concrete Block">
		<property name="Extends" value="pouredRConcreteMaster"/>
		<property name="DescriptionKey" value="Wet Reinforced Concrete Block"/> <!-- Doesn't work -->
		<property name="CustomIcon" value="pouredConcreteBlock"/>
		<property name="CreativeMode" value="None"/>
		<property name="SortOrder2" value="0050"/>
		<property name="UpgradeRated.ToBlock" value="rConcreteBlock"/>
	</block>
</insertAfter>

<append xpath="/blocks/block[@name='concreteBlock']">
	<property class="UpgradeBlock"> <property name="ToBlock" value="Wet Reinforced Concrete Block"/> </property>
</append>

<append xpath="/blocks/block[@name='iBeam']">
	<property class="UpgradeBlock"> <property name="ToBlock" value="Wet Reinforced Concrete Block"/> </property>
</append>

<append xpath="/blocks/block[@name='concreteBlockTileBroken01']">
	<property class="UpgradeBlock"> <property name="ToBlock" value="Wet Reinforced Concrete Block"/> </property>
</append>

<append xpath="/blocks/block[@name='rebarFrameBlock']">
	<property class="UpgradeBlock"> <property name="ToBlock" value="Wet Reinforced Concrete Block"/> </property>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
New Blocks:
	Added Brick 1/4th & 1/8th block to compensate for harder to make concrete blocks.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<append xpath="/blocks">
<block name="Brick 1/4 Block">
	<property name="CreativeMode" value="Player"/>
	<property name="Extends" value="brickMaster"/>
	<property name="Shape" value="New"/>
	<property name="Model" value="cube_quarter"/>
	<property name="SortOrder2" value="0070"/>
	<property name="LightOpacity" value="0"/>
	<property name="CustomIcon" value="pouredConcreteQuarter"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="pouredConcreteQuarter"/> </property>
</block>

<block name="Brick 1/8 Block">
	<property name="CreativeMode" value="Player"/>
	<property name="Extends" value="brickMaster"/>
	<property name="Shape" value="New"/>
	<property name="Model" value="cube_eighth"/>
	<property name="SortOrder2" value="0140"/>
	<property name="LightOpacity" value="0"/>
	<property name="CustomIcon" value="pouredConcreteEighth"/>
	<property class="UpgradeBlock"> <property name="ToBlock" value="pouredConcreteEighth"/> </property>
</block>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Reseting Trap Doors:
	Trap Doors 1x1 and 3x3 that reset around 40 seconds later.
	New Trap Door Hatch that is slightly higher to prevent triggering Trap Doors.
	Removed Wood Floor Joist model for triggered trap doors and replaced with invisible model
		that allows entities to fall through but still allows melee damage to destroy it.  This prevents
		walking on the very edges to avoid falling.
	New Sticky Trap Door that can catch fast movers (including players unless they jump early enough).
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<remove xpath="/blocks/block[@name='looseBoardsTrapBlock1x1']/property[@name='Group']"/>
<append xpath="/blocks">
<block name="Trap Door Flush">
	<property name="Extends" value="looseBoardsTrapPlate1x1"/>
	<property name="Group" value="Tools/Traps,Science"/>
	<property name="CustomIcon" value="woodPlate"/>
	<property name="Model" value="table_dynamic"/>
	<property name="Texture" value="241"/>
	<property name="Material" value="Mtrap"/>
	<drop event="Destroy" name="resourceWood" count="0"/>
	<property name="DowngradeBlock" value="TrapDoorTriggered"/>
	<property name="CopyPaintOnDowngrade" value="T,B"/>
</block>

<block name="Trap Door Offset">
	<property name="Extends" value="Trap Door Flush"/>
	<property name="Model" value="tube_center_straight"/>
	<property name="DowngradeBlock" value="TrapDoorOffsetTriggered"/>
</block>

<block name="Trap Door Sticky">
	<property name="Extends" value="Trap Door Flush"/>
	<property name="Material" value="Mstickytrap"/>
	<property name="DowngradeBlock" value="TrapDoorStickyTriggered"/>
</block>

<block name="TrapDoorTriggeredMaster">
	<property name="Extends" value="woodWeakNoUpgradeMaster"/>
	<property name="Material" value="Mtriggered"/>
	<property name="Shape" value="New"/>
	<property name="Model" value="table_dynamic"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.Rate" value="1"/>
	<property name="UpgradeRated.ToBlock" value="Trap Door Flush"/>
</block>

<block name="TrapDoorTriggered">
	<property name="Extends" value="TrapDoorTriggeredMaster"/>
	<property name="Texture" value="351"/>
	<property name="Mesh" value="grass"/>
	<property name="Collide" value="melee"/>
</block>

<block name="TrapDoorOffsetTriggered">
	<property name="Extends" value="TrapDoorTriggered"/>
	<property name="UpgradeRated.ToBlock" value="Trap Door Offset"/>
</block>

<block name="TrapDoorStickyTriggered">
	<property name="Extends" value="TrapDoorTriggered"/>
	<property name="Material" value="Mstickytriggered"/>
	<property name="UpgradeRated.ToBlock" value="Trap Door Sticky"/>
</block>

<block name="Trap Door 3x3">
	<property name="Extends" value="looseBoardsTrapBlock3x3"/>
	<property name="Group" value="Tools/Traps,Science"/>
	<property name="CustomIcon" value="looseBoardsTrapBlock3x3"/>
	<property name="DowngradeBlock" value="TrapDoorBlock3x3Triggered"/>
	<property name="CopyPaintOnDowngrade" value="T,B"/>
</block>

<block name="TrapDoorBlock3x3Triggered">
	<property name="Extends" value="TrapDoorTriggered"/>
	<property name="MaxDamage" value="50"/>
	<property name="Class" value="UpgradeRated"/>
	<property name="UpgradeRated.ToBlock" value="Trap Door 3x3"/>
	<property name="UpgradeRated.Rate" value="1"/>
</block>

<block name="Trap Door Hatch">
	<property name="Extends" value="scrapHatch_v1"/>
	<property name="CustomIcon" value="scrapHatch_v1"/>
	<property name="Group" value="Tools/Traps,Science"/>
	<property name="ModelOffset" value="0,0.52,0"/>
	<property class="UpgradeBlock">
		<property name="ToBlock" value="Trap Door Hatch"/>
		<property name="ItemCount" value="0"/>
		<property name="UpgradeHitCount" value="0"/>
	</property>
</block>

<block name="Exploding Trap Door 1">
	<property name="Extends" value="rScrapIronPlateMine"/>
	<property name="Group" value="Tools/Traps,Science"/>
	<property name="Material" value="MBlockMine"/>
	<property name="Model" value="table_dynamic"/>
	<property name="Explosion.RadiusBlocks" value="3"/>
	<property name="Explosion.EntityDamage" value="110"/>
	<property name="Explosion.BlockDamage" value="0"/>
</block>

<block name="Exploding Trap Door 2">
	<property name="Extends" value="Exploding Trap Door 1"/>
	<property name="Explosion.RadiusEntities" value="5"/>
	<property name="Explosion.EntityDamage" value="300"/>
</block>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
New Upgrade and Repair Resources:
	Upgrade from Reinforced Wood to Iron now requires a scrap iron frame block.
	Upgrade from Reinforced Scrap Iron to Concrete now requires 1 Wet Concrete Block.
	Upgrade from Concrete now requires 1 Wet Reinforced concrete Block.
	Upgrade from Reinforced Concrete now requires 1 Steel Block.
	Upgrade from Flagstone now requires 10 cement.
	Repair of Cobblestone now requires cement instead of cobblestone.
	Upgrade from Cobblestone now requires 1 Wet Concrete Block.
	Upgrade from Brick now requires 1 Wet Concrete Block.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<append xpath="/blocks/block[@name='rWoodMetalMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="scrapIronFrameBlock"/>
	<property name="ItemCount" value="1"/>
</append>

<append xpath="/blocks/block[@name='rScrapIronMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="pouredConcreteBlock"/>
	<property name="ItemCount" value="1"/>
</append>

<append xpath="/blocks/block[@name='concreteMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="Wet Reinforced Concrete Block"/>
	<property name="ItemCount" value="1"/>
</append>

<append xpath="/blocks/block[@name='rConcreteMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="steelBlock"/>
	<property name="ItemCount" value="1"/>
</append>

<append xpath="/blocks/block[@name='flagstoneMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="resourceCement"/>
	<property name="ItemCount" value="10"/>
</append>

<append xpath="/blocks/block[@name='cobblestoneMaster']/property[@class='RepairItems']">
	<property name="resourceCement" value="8"/>
</append>

<append xpath="/blocks/block[@name='cobblestoneMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="pouredConcreteBlock"/>
	<property name="ItemCount" value="1"/>
</append>

<append xpath="/blocks/block[@name='brickMaster']/property[@class='UpgradeBlock']">
	<property name="Item" value="pouredConcreteBlock"/>
	<property name="ItemCount" value="1"/>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Resource Harvesting Changes:
	Changed all White Bags to yield cement instead of Concrete Mix to make the cement mixer more valuable.
	Corrected error in plantedSnowberry2 to correctly point to plantedSnowberry3HarvestPlayer.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<remove xpath="/blocks/block[@name='palletWhiteBagsBase']/drop[@event='Harvest'][@name='resourceConcreteMix']"/>
<append xpath="/blocks/block[@name='palletWhiteBagsBase']">
	<drop event="Harvest" name="resourceCement" count="5,15" tag="allHarvest"/>
</append>

<remove xpath="/blocks/block[@name='plantedSnowberry2']/property[@name='PlantGrowing.Next']"/>
<append xpath="/blocks/block[@name='plantedSnowberry2']">
	<property name="PlantGrowing.Next" value="plantedSnowberry3HarvestPlayer"/>
</append>
</configs>